Phar::setSignatureAlgorithm
PharFileInfo
PharData
PHP Manual

# PharData::setStub

(PHP >= 5.3.0, PECL phar >= 2.0.0)

PharData::setStub — dummy function (Phar::setStub is not valid for PharData)

### Description

bool PharData::setStub ( string `$stub` [, int `$len` = -1 ] )

Non-executable tar/zip archives cannot have a stub, so this method simply throws an exception.

### Parameters

`stub`

  A string or an open stream handle to use as the executable stub for this phar archive. This parameter is ignored.

`len`

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Throws PharException on all method calls

### Changelog

Version | Description
--- | ---
5.4.0 | Added `len` parameter.

### See Also

- Phar::setStub() - Used to set the PHP loader or bootstrap stub of a Phar archive

Phar::setSignatureAlgorithm
PharFileInfo
PharData
PHP Manual